@echo off
title Last.fm Remove Script for fb2k 1.0 / sparanoid.com
color f0

echo Removing associated files...
move "components\foo_audioscrobbler.dll" "skin\mono_lite_lastfm\foo_audioscrobbler.dll"
move "configuration\foo_audioscrobbler.dll.cfg" "skin\mono_lite_lastfm\foo_audioscrobbler.dll.cfg"

move "components\foo_customdb.dll" "skin\mono_lite_lastfm\foo_customdb.dll"
move "configuration\foo_customdb.dll.cfg" "skin\mono_lite_lastfm\foo_customdb.dll.cfg"

move "components\foo_softplaylists.dll" "skin\mono_lite_lastfm\foo_softplaylists.dll"
move "configuration\foo_softplaylists.dll.cfg" "skin\mono_lite_lastfm\foo_softplaylists.dll.cfg"

move "customdb_sqlite.db" "skin\mono_lite_lastfm\customdb_sqlite.db"

type nul>lastfm_mode_disable
if exist "lastfm_mode_enabled" del /q /f /a "lastfm_mode_enabled"

echo Changing settings...
if exist monolite_lastfm_config.tmp del monolite_lastfm_config.tmp
for /f "tokens=* delims=" %%a in (monolite_lastfm_config.js) do call :Change "%%a"
del "monolite_lastfm_config.js"
rename monolite_lastfm_config.tmp monolite_lastfm_config.js
exit /b

:Change
set Text=%~1
if "%Text%"=="is_lastfm = "enabled"" (
(echo is_lastfm = "")>> monolite_lastfm_config.tmp
) else (
(echo %Text%)>> monolite_lastfm_config.tmp
)
exit /b
